> ## Documentation Index > Fetch the complete documentation index at: https://www.canva.dev/docs/admin/llms.txt > Use this file to discover all available pages before exploring further. # List teams Lists teams. ## HTTP method and URL path GET https\://api.canva.com/admin/v1/teams ### Rate limit This operation is rate limited to 1000 requests per minute for your app. ## Authentication and authorization This endpoint requires a valid access token that was generated using client credentials. ### Scopes The access token must have all the following [scopes](/docs/admin/appendix/scopes) (permissions): * `admin:team:read` ## Header parameters Provides credentials to authenticate the request, in the form of a `Bearer` token. For example: `Authorization: Bearer {token}` ## Query parameters An identifier you assign to a team. When a user signs in through SSO, Canva reads the SAML `TeamId` attribute and adds them to the team with the matching `saml_team_id`. Must be unique within your organization. **Minimum length:** `1` **Maximum length:** `255` If the success response contains a continuation token, the list contains more items you can list. You can use this token as a query parameter and retrieve more items from the list, for example `?continuation={continuation}`. To retrieve all items, you might need to make multiple requests. The maximum number of teams to return. **Minimum:** `1` **Maximum:** `100` **Default value:** `50` ## Example request Examples for using the `/v1/teams` endpoint: ```sh curl --request GET 'https://api.canva.com/admin/v1/teams' \ --header 'Authorization: Bearer {token}' ``` ```js const fetch = require("node-fetch"); fetch("https://api.canva.com/admin/v1/teams", { method: "GET", headers: { "Authorization": "Bearer {token}", }, }) .then(async (response) => { const data = await response.json(); console.log(data); }) .catch(err => console.error(err)); ``` ```java import java.io.IOException; import java.net.URI; import java.net.http.*; public class ApiExample { public static void main(String[] args) throws IOException, InterruptedException { HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.canva.com/admin/v1/teams")) .header("Authorization", "Bearer {token}") .method("GET", HttpRequest.BodyPublishers.noBody()) .build(); HttpResponse response = HttpClient.newHttpClient().send( request, HttpResponse.BodyHandlers.ofString() ); System.out.println(response.body()); } } ``` ```py import requests headers = { "Authorization": "Bearer {token}" } response = requests.get("https://api.canva.com/admin/v1/teams", headers=headers ) print(response.json()) ``` ```csharp using System.Net.Http; var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://api.canva.com/admin/v1/teams"), Headers = { { "Authorization", "Bearer {token}" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }; ``` ```go package main import ( "fmt" "io" "net/http" ) func main() { url := "https://api.canva.com/admin/v1/teams" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer {token}") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ```php $curl = curl_init(); curl_setopt_array($curl, array( CURLOPT_URL => "https://api.canva.com/admin/v1/teams", CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => array( 'Authorization: Bearer {token}', ), )); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if (empty($err)) { echo $response; } else { echo "Error: " . $err; } ``` ```ruby require 'net/http' require 'uri' url = URI('https://api.canva.com/admin/v1/teams') http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request['Authorization'] = 'Bearer {token}' response = http.request(request) puts response.read_body ``` ## Success response If successful, the endpoint returns a `200` response with a JSON body with the following parameters: A team. Properties of items} defaultExpanded={true}> The team ID. The name of the team. When the team was created, as a Unix timestamp (in seconds since the Unix Epoch). When the team was last updated, as a Unix timestamp (in seconds since the Unix Epoch). An identifier you assign to a team. When a user signs in through SSO, Canva reads the SAML `TeamId` attribute and adds them to the team with the matching `saml_team_id`. Must be unique within your organization. **Minimum length:** `1` **Maximum length:** `255` If the success response contains a continuation token, the list contains more items you can list. You can use this token as a query parameter and retrieve more items from the list, for example `?continuation={continuation}`. To retrieve all items, you might need to make multiple requests. ## Example response ```json { "continuation": "RkFGMgXlsVTDbMd:MR3L0QjiaUzycIAjx0yMyuNiV0OildoiOwL0x32G4NjNu4FwtAQNxowUQNMMYN", "items": [ { "id": "BAAAAAAAAA1", "name": "Acme Team", "created_at": 1601404800, "updated_at": 1601404900 } ] } ``` ## Error responses ### 400 Bad Request A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/admin/error-responses/). A human-readable description of what went wrong. #### Example error response ##### Continuation is not supported for listing teams by SAML team ID ```json { "code": "bad_query_params", "message": "Continuation is not supported for listing teams by SAML team ID." } ```